package net.sf.doolin.gui.field;

import javax.swing.JTextField;

/**
 * {@link JTextField} field descriptor.
 * 
 * @param <V>
 *            Type of object for the view
 */
public class FieldText<V> extends AbstractFieldText<V, JTextField> {

	private static final long serialVersionUID = 1L;

	@Override
	protected JTextField createTextComponent() {
		return new JTextField(getColumns());
	}

}
