package net.sf.doolin.gui.service.support;

import net.sf.doolin.gui.service.GUIPreferences;
import net.sf.doolin.gui.service.Memento;

/**
 * The Class AbstractGUIPreferences.
 */
public abstract class AbstractGUIPreferences implements GUIPreferences {

	/**
	 * {@inheritDoc}
	 * 
	 * @see Memento#restoreMemento(GUIPreferences)
	 */
	public void restoreMemento(Memento memento) {
		memento.restoreMemento(this);
	}

	/**
	 * {@inheritDoc}
	 * 
	 * @see Memento#saveMemento(GUIPreferences)
	 */
	public void saveMemento(Memento memento) {
		memento.saveMemento(this);
	}
}
