package net.sf.doolin.gui.spring;

import net.sf.doolin.gui.form.FormSection;

/**
 * Parser for {@link FormSection}
 * 
 * @author Damien Coraboeuf
 * 
 */
@SuppressWarnings("unchecked")
public class SectionParser extends AbstractFieldTypeParser<FormSection> {

	/**
	 * Constructor
	 */
	public SectionParser() {
		super(FormSection.class);
		addSimpleAttribute("border");
		addSimpleAttribute("titleExpression");
		addSimpleAttribute("collapsable");
		addSimpleAttribute("collapsed");
		addSimpleAttribute("collapsedPropertyPath");
	}
}
