package net.sf.doolin.gui.spring;

import net.sf.doolin.gui.field.FieldSeparator;

/**
 * Parser for {@link net.sf.doolin.gui.field.FieldSeparator}
 * 
 * @author Damien Coraboeuf
 * 
 */
@SuppressWarnings("unchecked")
public class SeparatorParser extends AbstractFieldTypeParser<FieldSeparator> {

	/**
	 * Constructor
	 */
	public SeparatorParser() {
		super(FieldSeparator.class);
		addSimpleAttribute("titleExpression");
		addSimpleAttribute("alignment");
	}
}
