package net.sf.doolin.gui.window;

/**
 * Factory for a window, used by a window descriptor.
 * 
 * @author Damien Coraboeuf
 * 
 */
public interface GUIWindowFactory {

	/**
	 * Creates a {@link GUIWindow} instance.
	 * 
	 * @param <B>
	 *            Type of bean for the window
	 * @return Window instance
	 */
	<B> GUIWindow<B> createWindow();

}
