package net.sf.doolin.gui.app;

/**
 * Start-up policy for an applicaton.
 * 
 * @author Damien Coraboeuf
 * 
 */
public interface GUIStartup {

	/**
	 * Starts the application.
	 * 
	 * @param application
	 *            Application to start.
	 * @param arguments
	 *            Starting arguments
	 */
	void start(GUIApplication application, String[] arguments);

}
