package net.sf.doolin.gui.display;

/**
 * Returns a state that is always {@link DisplayState#ENABLED}.
 * 
 * @author Damien Coraboeuf
 */
public class AlwaysEnabledDisplayStateHandler extends
		AbstractFixedDisplayStateHandler {

	/**
	 * Instance
	 */
	public static final AlwaysEnabledDisplayStateHandler INSTANCE = new AlwaysEnabledDisplayStateHandler();

	@Override
	protected DisplayState getState() {
		return DisplayState.ENABLED;
	}
}
