package net.sf.doolin.gui.field.table.support;

import net.sf.doolin.bus.SubscriberValidator;
import net.sf.doolin.util.Utils;
import ca.odell.glazedlists.EventList;

public class PropertyTableEventListFactory<E> extends
		AbstractPropertyBasedTableEventListFactory<E> {

	@SuppressWarnings("unchecked")
	@Override
	public EventList<E> createEventList(SubscriberValidator validator,
			Object model) {
		return (EventList<E>) getProperty(model);
	}

	public Object getProperty(Object model) {
		return Utils.getProperty(model, getPropertyPath());
	}

}
