package net.sf.doolin.gui.spring;

import net.sf.doolin.gui.field.FieldFile;

/**
 * Parser for {@link FieldFile}
 * 
 * @author Damien Coraboeuf
 * 
 */
@SuppressWarnings("unchecked")
public class FileParser extends AbstractPropertyFieldTypeParser<FieldFile> {

	/**
	 * Constructor
	 */
	public FileParser() {
		super(FieldFile.class);
		addSimpleAttribute("directory");
		addSimpleAttribute("mode");
		addSimpleAttribute("filter");
		addSimpleAttribute("filterDescription");
	}

}
