package net.sf.doolin.gui.spring;

import net.sf.doolin.gui.field.FieldInteger;

/**
 * Parser for {@link FieldInteger}
 * 
 * @author Damien Coraboeuf
 * 
 */
@SuppressWarnings("unchecked")
public class IntegerParser extends
		AbstractPropertyFieldTypeParser<FieldInteger> {

	/**
	 * Constructor
	 */
	public IntegerParser() {
		super(FieldInteger.class);
		addSimpleAttribute("minimum");
		addSimpleAttribute("maximum");
		addSimpleAttribute("minimumProperty");
		addSimpleAttribute("maximumProperty");
		addSimpleAttribute("spinner");
		addSimpleAttribute("step");
	}
}
