package net.sf.doolin.gui.spring;

import net.sf.doolin.gui.field.FieldLabel;

/**
 * Parser for {@link FieldLabel}
 * 
 * @author Damien Coraboeuf
 * 
 */
@SuppressWarnings("unchecked")
public class LabelParser extends AbstractFieldTypeParser<FieldLabel> {

	/**
	 * Constructor
	 */
	public LabelParser() {
		super(FieldLabel.class);
		addSimpleAttribute("text");
		addSimpleAttribute("iconId");
	}
}
