package net.sf.doolin.gui.window.dialog;

/**
 * List of predefined dialog actions. Each dialog action has an identifier which
 * allows the dialog to retrieve the button (for setting the default dialog
 * button for example).
 * 
 * @author Damien Coraboeuf
 * 
 */
public interface DialogAction {

	/**
	 * Cancel action
	 */
	String CANCEL = "Cancel";

	/**
	 * OK action
	 */
	String OK = "OK";

}
